WPSSO Shipping Delivery Time for WooCommerce

FYI

  • Plugin Name: WPSSO Shipping Delivery Time for WooCommerce
  • Stable Version: 2.1.0
  • Author: JS Morisset
  • Description: Shipping delivery time estimates for WooCommerce shipping zones, methods, and classes.
  • License: GPLv3
  • Requires PHP: 5.6 or newer
  • Requires WordPress: 4.4 or newer
  • Tested Up To WordPress: 5.6
  • Tested Up To WooCommerce: 4.7.1
  • Last Updated: 18 hours ago
  • Plugin Home Page »

Version Numbering

Version components: {major}.{minor}.{bugfix}[-{stage}.{level}]

  • {major} = Major structural code changes / re-writes or incompatible API changes.
  • {minor} = New functionality was added or improved in a backwards-compatible manner.
  • {bugfix} = Backwards-compatible bug fixes or small improvements.
  • {stage}.{level} = Pre-production release: dev < a (alpha) < b (beta) < rc (release candidate).

Standard Version Repositories

Changelog / Release Notes

Version 2.1.0 (2020/11/07)

  • New Features
    • None.
  • Improvements
    • None.
  • Bugfixes
    • Moved the activation of shipping offers for Schema JSON-LD from WPSSO JSON to WPSSO WCSDT.
  • Developer Notes
    • None.
  • Requires At Least
    • PHP v5.6.
    • WordPress v4.4.
    • WPSSO Core v8.13.0.
    • WooCommerce v3.6.4.

Version 2.0.1 (2020/10/29)

  • New Features
    • None.
  • Improvements
    • None.
  • Bugfixes
    • Fixed incorrect WPSSOWCSDT_FILEPATH constant reference in WpssoWcsdtRegister.
  • Developer Notes
    • None.
  • Requires At Least
    • PHP v5.6.
    • WordPress v4.4.
    • WPSSO Core v8.10.0
    • WooCommerce v3.6.4.

Version 2.0.0 (2020/10/28)

  • New Features
    • None.
  • Improvements
    • Moved the "Shipping delivery times" settings to a new WooCommerce Shipping section.
    • Added a "Shipping department hours" section to the "Shipping delivery times" settings.
  • Bugfixes
    • None.
  • Developer Notes
    • Added a new lib/woocommerce-admin.php library file.
    • Moved the 'wcsdt_handling_time' and 'wcsdt_transit_time' options to the WPSSO Core settings array.
  • Requires At Least
    • PHP v5.6.
    • WordPress v4.4.
    • WPSSO Core v8.10.0
    • WooCommerce v3.6.4.

Version 1.0.1 (2020/10/17)

Initial release.

  • New Features
    • None.
  • Improvements
    • None.
  • Bugfixes
    • Fixed backwards compatibility with older 'init_objects' and 'init_plugin' action arguments.
  • Developer Notes
    • None.
  • Requires At Least
    • PHP v5.6.
    • WordPress v4.4.
    • WPSSO Core v8.8.1.
    • WooCommerce v3.6.4.